<?php
ob_start();
session_start();

require '../../../conexion.php';
require_once('../../../include/sesiones.php');
require "../../php_qr/qrlib.php";    
require_once dirname(__FILE__).'../../vendor/autoload.php';

use Spipu\Html2Pdf\Html2Pdf;
use Spipu\Html2Pdf\Exception\Html2PdfException;
use Spipu\Html2Pdf\Exception\ExceptionFormatter;

$nom_id=$_GET['nom_id'];

$query=mysqli_query($con,"SELECT * FROM dian_nomina where nom_id='$nom_id' and empresa='$empresa' ");
$roww=mysqli_fetch_array($query);
$nom_prefijo=$roww['nom_prefijo']; 
$nom_numero=$roww['nom_numero'];

try {
    ob_start();
    include(dirname('__FILE__').'/nomina/nomina.php');
    $content = ob_get_clean();

    $html2pdf = new Html2Pdf('P', 'A4', 'fr', true, 'UTF-8', 0);
    $html2pdf->pdf->SetDisplayMode('fullpage');
    $html2pdf->writeHTML($content);
    $html2pdf->Output('NOMINA'.$nom_prefijo.$nom_numero.'.pdf', 'I');
} catch (Html2PdfException $e) {
    $html2pdf->clean();

    $formatter = new ExceptionFormatter($e);
    echo $formatter->getHtmlMessage();
}
?>